cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Reinhard Haller" <reinhard.hal...@interactive-net.de>
Subject Re: [2.1.8] Jboss / Aggregation samples
Date Fri, 25 Nov 2005 08:13:12 GMT


>>> holger.willenborg@armacell.com 24.11.2005 14:25 >>>
>> >>> sylvain@apache.org 23.11.2005 14:25 >>>
>> >Reinhard Haller wrote:
>> >> I tried  to install Cocoon-2.1.8 on JBoss 4.0.3 by copying
>> >> the webapp as cocoon.war to the JBoss deploy directory.
>> >>
>> >> It worked at the first glance. By trying out the samples to
>> >> verify the installation I got errors from the aggregation
>> >> samples (Flexible Content, Parallel Content, Cinclude Content
>> >> Xinclude Content)
>> >>
>> root cause
>> 
>> java.lang.IncompatibleClassChangeError
>>    org.apache.xalan.xsltc.compiler.UnionPathExpr.
>
>Perhaps not much of a help, but since no one answered: Perhaps there's
a 
>conflict between two jars which contain the XML parser.
>
>Perhaps the Cocoon build uses a JAR file different from the runtime 
>environment? Look out for jars which contain the
org.apache.xalan.xsltc... 
>classes

I knew there are problems, JBoss was aware of problems with
xalan/xerces 2.7

http://jira.jboss.com/jira/browse/JBAS-2155

My problem is, I don't know how to solve them (copying xalan jars to
jboss ...).
Simply spoken, I'm missing a little installation description which
includes
some basic information as working versions for jboss/jdk to know a
direction to
go.

Regards
Reinhard


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message